(function(){
	var line_profile_pos;
	var line_assets_pos;
	var line_plan_pos;
	var line_profile_pos_px;
	var line_assets_pos_px;
	var line_plan_pos_px;
	// var m_price;
	// var y_price;
	
	var ACCOUNT_PLAN_TAB = "plan";
	var ACCOUNT_PROFILE_TAB = "profile";
	
	var PLAN_ID_MONTH = 14;
	var PLAN_ID_YEAR = 15;
	var PLAN_ID_QUARTER = 22;
	var PLAN_ID_ONEYEAR = 32;
	var PLAN_ID_NO_PLAN = 0;

	var MEMBERSHIP_PRO_TRIAL = "SketchBook Pro Membership (Trial)";
	var MEMBERSHIP_PRO_CAMPAIGN = "SketchBook Pro Membership (Campaign)";
	var MEMBERSHIP_PRO = "SketchBook Pro Membership";
	var MEMBERSHIP_PRO_MONTH = "SketchBook Pro Membership (Monthly)";
	var MEMBERSHIP_PRO_YEAR = "SketchBook Pro Membership (Yearly)";
	var MEMBERSHIP_PRO_OEM = "SketchBook Pro Membership (Quarterly)";
	var MEMBERSHIP_FREE = "FREE";

	var SKETCHBOOK_TRIAL_STATUS_IN_TRIAL = 0;
	var SKETCHBOOK_TRIAL_STATUS_TRIED_ON_THIS_MACHINE = 1;
	var SKETCHBOOK_TRIAL_STATUS_EXPIRED = 2;
	var SKETCHBOOK_TRIAL_STATUS_CAN_TRY = 3;

	var SKETCHBOOK_CAMPAIGN_STATUS_USING = 1;
	var SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING = 0;

	var SKETCHBOOK_NOT_SUBSCRIBED = 0;

	var LOCALE = sb_util.getParameterValue("locale", "en-us");
	var PAGE = sb_util.getParameterValue("page", ACCOUNT_PLAN_TAB);
	var SUBSCRIPTION = sb_util.getParameterValue("subscription", SKETCHBOOK_NOT_SUBSCRIBED.toString());
	var TRIAL = sb_util.getParameterValue("trial", SKETCHBOOK_TRIAL_STATUS_CAN_TRY.toString());
	var TRIAL_TIME_LEFT = sb_util.getParameterValue("trial_time_left", "0");
	var TRIAL_EXPIRY_DATE = sb_util.getParameterValue("trial_expiry_date");
	var CAMPAIGN = sb_util.getParameterValue("campain_status", SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING.toString());
	var CAMPAIGN_TIME_LEFT = sb_util.getParameterValue("campaign_time_left", "0");
	var CAMPAIGN_EXPIRY_DATE = sb_util.getParameterValue("campaign_expiry_date");
	var ADDRESS_CODE = sb_util.getParameterValue("address_code", "US");
	
	// var tier = getParameterValue("tier");
	var MP_PLAN_15 = sb_util.getParameterValue("mp_plan_15");
	var MP_PLAN_15_PRICE = sb_util.getParameterValue("mp_plan_15_price");
	var MP_PLAN_15_SYMBOL = sb_util.getParameterValue("mp_plan_15_symbol");
	var MP_PLAN_14 = sb_util.getParameterValue("mp_plan_14");
	var MP_PLAN_14_PRICE = sb_util.getParameterValue("mp_plan_14_price");
	var MP_PLAN_14_SYMBOL = sb_util.getParameterValue("mp_plan_14_symbol");
	var ISMAS = sb_util.getParameterValue("ismas", "false");
	
	var EXPIRY_DATE = sb_util.getParameterValue("expiry_date");
	var MEMBERNAME = sb_util.getParameterValue("membername");
	var EMAIL = sb_util.getParameterValue("email");
	var ISSIGNEDIN = sb_util.getParameterValue("signedin");
	var IS_ACTIVATING_TRIAL = sb_util.getParameterValue("is_activating_trial", "false");
	var TRIAL_ACTIVATED = sb_util.getParameterValue("trial_activated", "false");
	var TRIAL_DAYS = sb_util.getParameterValue("trial_days", "15");

    var OEM = sb_util.getParameterValue("oem", "");
    var OEM_ACTIVATED = sb_util.getParameterValue("oem_activated", "false");


	var PROMOTION_PLAN = sb_util.getParameterValue("promo_plan_id");
	var PROMOTION_PRICE = sb_util.getParameterValue("promo_discount_price", "0");
	var DISCOUNT = sb_util.getParameterValue("promo_off_percent", "0");
	var EXTENSION = sb_util.getParameterValue("promo_ext_length", "0");
	var PROMOTION_DAY_LEFT = sb_util.getParameterValue("promo_days_left", "0");




	loadJS();
	changeMenuPosition();
	var page = getInitialPageName();

	window.onload=function(){ 
		// Call localizePage() again for IE8 support, cause IE8 doesn't seem to support onload event for <link> and <script>.
		localizePage();
		// localizePrice();
        prepareUIForLocalization();
        
        sb_util.hideBody(false);
        
        changePriceButton();
		// changeCurrentPlan();
		$("#expire_date").text(EXPIRY_DATE);

		changeLinePos();
		changeByPage(page);
		changeByMembership();
		initProfile();

		$(".tag").click(onTagClicked);

		$("#ok_btn").click(function(){
	        // Here we assume the page already has the trial time, so we just close the dialog here.
	        $("#trial_activated").addClass("mhide");
	    });
		
		var trialActivated = (TRIAL_ACTIVATED== "true") ? true : false;
	    showTrialActivated(trialActivated);
	    sendMixPanelEvent();
	    $("#account_activate_trial_btn_txt_1").html(TRIAL_DAYS);

	};

	function getInitialPageName(){
	    var subscription = parseInt(SUBSCRIPTION);
	    var page = PAGE;
	    if(subscription != SKETCHBOOK_NOT_SUBSCRIBED){
	    	hideMyPlan();
	    	page = ACCOUNT_PROFILE_TAB;
	    }
	    return page;
	}

	function sendMixPanelEvent(){
		// send the present of account.html event
		window.location.href = "sketchbook://banner/event?type=changed&id=profile-subtitle&subtitle=" + PAGE;
	}

	function prepareUIForLocalization(){
		// var locale = urlParseModule.getURLParameter("locale") ? urlParseModule.getURLParameter("locale") : 'en-us';
	    var locale = sb_util.getLocaleFolder(LOCALE);
	    $("html").addClass(locale);

	    // var ismas = (urlParseModule.getURLParameter("ismas") == "true") ? true : false;
	    var ismas = (ISMAS == "true") ? true : false
	    if (ismas) {
	    	$("body").addClass("mas");
	    }else{
	    	$("body").addClass("notmas");
	    }

	    $("body").addClass("price_localized_" + ADDRESS_CODE.toLowerCase());

	}

	function initProfile(){
		var expiryDate = EXPIRY_DATE;
		var membername = MEMBERNAME;
		$("#username").text(membername);
		var email = EMAIL;
		$("#account_email").text(email);

		var subscription = SUBSCRIPTION;
	    subscription = parseInt(subscription);
	    var issignedin = ISSIGNEDIN;
	    var trialStatus = TRIAL;
	    var giftCodeStatus = CAMPAIGN;

		if(subscription != SKETCHBOOK_NOT_SUBSCRIBED){ // pro user
			switch(subscription){
				case PLAN_ID_MONTH:
				$("#account_membership").text(MEMBERSHIP_PRO_MONTH);
				break;
				case PLAN_ID_YEAR:
				case PLAN_ID_ONEYEAR:
				$("#account_membership").text(MEMBERSHIP_PRO_YEAR);
				break;
				default:
				$("#account_membership").text(MEMBERSHIP_PRO_OEM);
			}
			$("#account_validatedate").text(expiryDate);
			$("#account_sec2_validatedate").removeClass("mhide");
	    }else if(issignedin=="false"){ // user is not signed in
	    	// should not happen, show free?
	    	$("#account_membership").text(MEMBERSHIP_FREE);
	    }else if (giftCodeStatus == SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING) {
	    	updateProfileAccordingToTrialStatus(trialStatus);
	    }else{
	    	var trialTimeLeft = TRIAL_TIME_LEFT;
	        trialTimeLeft = parseInt(trialTimeLeft);

	        var giftCodeTimeLeft = CAMPAIGN_TIME_LEFT;
	        giftCodeTimeLeft = parseInt(giftCodeTimeLeft);

	        if (trialTimeLeft <= giftCodeTimeLeft) {
	            updateProfileAccordingToCampaignStatus(giftCodeStatus);
	        }else{
	            updateProfileAccordingToTrialStatus(trialStatus);
	        }
	    }

	}

	function updateProfileAccordingToTrialStatus(trialStatus){
		var trialExpiryDate = TRIAL_EXPIRY_DATE;
		if(trialStatus == SKETCHBOOK_TRIAL_STATUS_CAN_TRY){ // signed in but not in trial
	    	$("#account_membership").text(MEMBERSHIP_FREE);
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_IN_TRIAL){ // signed in and in trial
	    	$("#account_membership").text(MEMBERSHIP_PRO_TRIAL);
	    	$("#account_validatedate").text(trialExpiryDate);
	    	$("#account_sec2_validatedate").removeClass("mhide");
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_EXPIRED){ // signed in but trial expired
	    	$("#account_membership").text(MEMBERSHIP_FREE);
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_TRIED_ON_THIS_MACHINE){ // signed in but can not try because the current machine has already been tried
	    	$("#account_membership").text(MEMBERSHIP_FREE);
	    }else{
	    	$("#account_membership").text(MEMBERSHIP_FREE);
	    }
	}

	function updateProfileAccordingToCampaignStatus(giftCodeStatus){
		var giftCodeExprityDate = CAMPAIGN_EXPIRY_DATE;
		if (giftCodeStatus == SKETCHBOOK_CAMPAIGN_STATUS_USING) {
			$("#account_membership").text(MEMBERSHIP_PRO_CAMPAIGN);
	    	$("#account_validatedate").text(giftCodeExprityDate);
	    	$("#account_sec2_validatedate").removeClass("mhide");
		};
		
	}

	function changeTrialActivationButton(isActivatingTrial){
		// Assume here that $("#account-activate-trial-btn") is visible
		// $("#account-activate-trial-btn").removeClass("mhide");
		
		if (isActivatingTrial) {
			$("#activating_gif").removeClass("mhide");
			if (!$("#account_activate_trial_btn_txt").hasClass("mhide")) {
				$("#account_activate_trial_btn_txt").addClass("mhide");
			}
		}else{
		    $("#account_activate_trial_btn_txt").removeClass("mhide");
		    if (!$("#activating_gif").hasClass("mhide")) {
		    	$("#activating_gif").addClass("mhide");
		    }
		}
	};

	function showTrialActivationButton(show){
		if(show){
			if ($("#account-activate-trial-btn").hasClass("mhide")){
				$("#account-activate-trial-btn").removeClass("mhide");
			}
		}else{
			if (!$("#account-activate-trial-btn").hasClass("mhide")){
				$("#account-activate-trial-btn").addClass("mhide");
			}
		}
	}

	function showTrialActivated(show){
	    var trialStatus = TRIAL;
	    if (trialStatus) {
	        trialStatus = parseInt(trialStatus);
	        if(show){
	            switch(trialStatus){
	                case SKETCHBOOK_TRIAL_STATUS_EXPIRED:
	                $("#trial_activated_failed_header").removeClass("mhide");
	                $("#trial_not_activated_expired_txt").removeClass("mhide");
	                break;
	                case SKETCHBOOK_TRIAL_STATUS_IN_TRIAL: // success
			        var timeleft = parseInt(TRIAL_TIME_LEFT);
			        var trialDaysLeft = Math.ceil(timeleft / 86400.0);
			        if (trialDaysLeft > 1) {
			            $("#trial_days").html(trialDaysLeft.toString());
			            $("#trial_validated_success_txt_2").removeClass("mhide");
			        }else{
			            // $("#trial_day").html(trialDaysLeft.toString());
			            // $("#campaign_validated_success_singular_txt").removeClass("mhide");
			        }
	                $("#trial_activated").addClass("trial_activate_success");
	                $("#trial_activated_header").removeClass("mhide");
	                $("#trial_activated_txt").removeClass("mhide");
	                break;
	                case SKETCHBOOK_TRIAL_STATUS_CAN_TRY:  // fail, try again
	                $("#trial_activated_failed_header").removeClass("mhide");
	                $("#trial_not_activated_try_again_txt").removeClass("mhide");
	                break;
	                case SKETCHBOOK_TRIAL_STATUS_TRIED_ON_THIS_MACHINE: // fail, no need to try again
	                $("#trial_activated_failed_header").removeClass("mhide");
	                $("#trial_not_activated_same_machine_txt").removeClass("mhide");
	                break;
	                default:
	                $("#trial_activated_failed_header").removeClass("mhide");
	                $("#trial_not_activated_try_again_txt").removeClass("mhide");
	                break;
	            }
	            if($("#trial_activated").hasClass("mhide")){
	                $("#trial_activated").removeClass("mhide");
	            }
	        }else{
	            if(!$("#trial_activated").hasClass("mhide")){
	                $("#trial_activated").addClass("mhide");
	            }
	        }
	    }
	}

	function changeMenuPosition(){
		var totoalWidth = $("#s_tag").width();
		var tagTotalWidth = 0;
		var tag_list = $("#account-menu").find(".tag");
		for (var i = tag_list.length - 1; i >= 0; i--) {
			tagTotalWidth += tag_list[i].clientWidth;
		};
		var menuPadding = totoalWidth/2 - tagTotalWidth/2;
	}

	function getPriceInt(priceString, decimalPoint){
		if (!(typeof priceString == 'string' || priceString instanceof String)){
			priceString = String(priceString);
		}
		priceStringArray = priceString.split(decimalPoint);
		if(priceStringArray.length >= 1){
			return priceStringArray[0];
		}else{
			return priceString;
		}
	};

	function getPriceDecimal(priceString, decimalPoint){
		if (!(typeof priceString == 'string' || myVar instanceof String)){
			priceString = String(priceString);
		}
		priceStringArray = priceString.split(decimalPoint);
		if(priceStringArray.length == 2){ //xx.xx
			return priceStringArray[1];
		}else if(priceStringArray.length == 1){ //xx
			return "0";
		}else{ // don't know what it is, just return the original value
			return priceString;
		}
	}

	// function changeCurrentPlan(){
     //    var abb_month = document.getElementById('forjs_mo').innerText;
	//     var abb_year = document.getElementById('forjs_yr').innerText;
	//     var m_price_num = MP_PLAN_14;
	//     var y_price_num = MP_PLAN_15;
    //
	//     var m_raw_price = MP_PLAN_14_PRICE;
	//     var y_raw_price = MP_PLAN_15_PRICE;
	//     var m_raw_price_symbol = MP_PLAN_14_SYMBOL;
	//     var y_raw_price_symbol = MP_PLAN_15_SYMBOL;
    //
	// 	var planID = SUBSCRIPTION;
	// 	var decimalPoint = ".";
	// 	var expiryDate = EXPIRY_DATE;
	// 	$("#expire_date").text(expiryDate);
	//
	// 	if(m_price_num == "" || y_price_num == "" || m_raw_price == "" || y_raw_price == ""){
	// 		$(".account-price-sign").text("");
	// 		// $("#price_before_right").text("");
	// 		$("#price_after_num_right").text("");
	// 		$("#price_after_txt_right").text("");
	// 		return;
	// 	}
    //
	// 	if(planID == PLAN_ID_NO_PLAN){
	// 		planID = (ISMAS == "true") ? PLAN_ID_YEAR : PLAN_ID_MONTH;
	// 	}else if(planID != PLAN_ID_YEAR){
	// 		// OEM situation, show month plan
	// 		planID = PLAN_ID_MONTH;
	// 	}
    //
	// 	if(planID == PLAN_ID_MONTH){
	// 		$(".account-price-sign").text(m_raw_price_symbol);
	// 		$("#price_before_right").text(getPriceInt(m_raw_price, decimalPoint));
	// 		$("#price_after_num_right").text(decimalPoint + getPriceDecimal(m_raw_price, decimalPoint));
	// 		$("#price_after_txt_right").text(abb_month);
	// 	}else if(planID == PLAN_ID_YEAR){
	// 		$(".account-price-sign").text(m_raw_price_symbol);
	// 		$("#price_before_right").text(getPriceInt(y_raw_price, decimalPoint));
	// 		$("#price_after_num_right").text(decimalPoint + getPriceDecimal(y_raw_price, decimalPoint));
	// 		$("#price_after_txt_right").text(abb_year);
	// 		// adjust the UI
	// 		// $("#account-price-pro").css("width", "65%");
	// 	}
    //
     //    if(!$("#account_price_loading").hasClass("mhide")){
     //    	$("#account_price_loading").addClass("mhide");
     //    }
	// 	if($("#account-price-pro").hasClass("mhide")){
	// 		$("#account-price-pro").removeClass("mhide");
	// 	}
    //
	// }

    // For pro user, gift code user, trial user and free user, we show different UI, so we need to distinguish between them.
	function changeByMembership(){
		// var tier = urlParseModule.getURLParameter("tier");
		var planID = SUBSCRIPTION;
		// 1 - not try, 2 - trying, 3 - expired, 4 - same machine
	    var trialStatus = TRIAL;
	    var trialTimeLeft; // return in seconds
	    if(trialStatus && (parseInt(trialStatus) == 0)){
	        trialTimeLeft = TRIAL_TIME_LEFT;
	        trialTimeLeft = parseInt(trialTimeLeft);
	    }

	    var giftCodeStatus = CAMPAIGN;

	    var isActivatingTrial = (IS_ACTIVATING_TRIAL == "true") ? true : false;
		var ismas = (ISMAS == "true") ? true : false;

		if(planID != 0){ // pro user
			// $("#account-left-div").css("opacity", "0.2");
			// $("#left_current_plan").css("text-decoration", "line-through");
			coverFreePlan();
			$("#account_action_pro").removeClass("mhide");
	    // }else if(issignedin=="false"){ } // it is impossible that the uesr is not signed in
	    }else if (ismas) {
			showTrialActivationButton(false);
			$("#account_mas_buy_btn_cell").removeClass("mhide");
			$("#account_mas_trial_btn_cell").removeClass("mhide");
			//$("#account-price-cell").removeClass("mhide");
		}else if (giftCodeStatus == SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING) {
	    	updateUIAccordingToTrialStatus(trialStatus, isActivatingTrial);
            updateOEMActiviationStatus();
	    }else{
	    	var trialTimeLeft = TRIAL_TIME_LEFT;
	        trialTimeLeft = parseInt(trialTimeLeft);

	        var giftCodeTimeLeft = CAMPAIGN_TIME_LEFT;
	        giftCodeTimeLeft = parseInt(giftCodeTimeLeft);

			if (trialTimeLeft <= giftCodeTimeLeft) {
	            updateUIAccordingToCampaignStatus(giftCodeStatus);
	        }else{
	            updateUIAccordingToTrialStatus(trialStatus, isActivatingTrial);
	        }
            updateOEMActiviationStatus();
	    }
	};

	function hideMyPlan(){
		$("#tag_3").addClass("mhide");
		$("#account-content-3").addClass("mhide");
	}

	function updateUIAccordingToCampaignStatus(giftCodeStatus){
		var giftCodeTimeLeft = CAMPAIGN_TIME_LEFT;
	    giftCodeTimeLeft = parseInt(giftCodeTimeLeft);

	    if (giftCodeStatus != SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING) {
	    	coverFreePlan();

	    	showTrialActivationButton(false);
	        // changeTrialActivationButton(isActivatingTrial);
	    	
	    	// $("#account-price-cell").removeClass("mhide");
			showBuyButton();
	        showCampaignDaysCountDown(giftCodeTimeLeft);
	        // $("#gifticon").removeClass("mhide");
	        // $("#account-price-pro").css("width", "60%");

	    }
	}

	function updateUIAccordingToTrialStatus(trialStatus, isActivatingTrial){
		var trialTimeLeft; // return in seconds
	    if(trialStatus){
	        trialTimeLeft = TRIAL_TIME_LEFT;
	        trialTimeLeft = parseInt(trialTimeLeft);
	    }
		
		if(trialStatus == SKETCHBOOK_TRIAL_STATUS_CAN_TRY){ // signed in but not in trial

			// show the default
			showTrialActivationButton(true);
			changeTrialActivationButton(isActivatingTrial);
		        
			// $("#account-price-cell").removeClass("mhide");
			showBuyButton();
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_IN_TRIAL){ // signed in and in trial
	    	coverFreePlan();

	    	showTrialActivationButton(false);
	        // changeTrialActivationButton(isActivatingTrial);
	    	
	    	// $("#account-price-cell").removeClass("mhide");
			showBuyButton();
	        showTrailDaysCountDown(trialTimeLeft);
	        
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_EXPIRED){ // signed in but trial expired
	    	showTrialActivationButton(false);
	        // changeTrialActivationButton(isActivatingTrial);
	    	
	    	// $("#account-price-cell").removeClass("mhide");
			showBuyButton();
	    	showTrailDaysCountDown(trialTimeLeft);
	    }else if(trialStatus == SKETCHBOOK_TRIAL_STATUS_TRIED_ON_THIS_MACHINE){ // signed in but can not try because the current machine has already been tried
	        // TODO:  change the UI
	        // $("#trial_days_expired_txt").removeClass("mhide");
	        showTrialActivationButton(false);
	        // changeTrialActivationButton(isActivatingTrial);
	        
	        // $("#account-price-cell").removeClass("mhide");
			showBuyButton();
	    	showTrailDaysCountDown(trialTimeLeft);
	    }else{
	    	if (ismas) {
	    		showTrialActivationButton(false);
				$("#account_mas_buy_btn_cell").removeClass("mhide");
				$("#account_mas_trial_btn_cell").removeClass("mhide");
	    		//$("#account-price-cell").removeClass("mhide");
	    	}else{
	    		// should not happend, change to signed in but not in trial status
		        showTrialActivationButton(true);
		        changeTrialActivationButton(isActivatingTrial);
		        
		        // $("#account-price-cell").removeClass("mhide");
				showBuyButton();
	    	}
	        
	    }
	}

	function showBuyButton() {
		if(MP_PLAN_14_PRICE != "" && MP_PLAN_15_PRICE != "") {
			$("#account_connection_error").addClass("mhide");

			if(DISCOUNT == "0" && EXTENSION == "0"){
				$("#account_new_buy_btn_cell").removeClass("mhide");
			}
			else {
				$("#account_promotion_btn_cell").removeClass("mhide");

				//update the width of "account-activate-trial-btn","account_connection_error"
				$(".account-actions").css("position", "absolute");
				$(".account-actions").css("left", "50%");
				$(".account-actions").css("transform", "translateX(-50%)");

				$("#account-activate-trial-btn").css("width", document.getElementById("promotion_btn_area").offsetWidth+"px");
				$("#account_promotion_btn_cell").css("width", document.getElementById("promotion_btn_area").offsetWidth+"px");
			}
		}
		else{
			if($("#account_connection_error").hasClass("mhide")){
				$("#account_connection_error").removeClass("mhide");
			}
		}
	}

    function updateOEMActiviationStatus(){
        if(OEM!="" && OEM_ACTIVATED=="false"){
            sb_util.setVisibility($("#account_activate_oem_btn_cell"), sb_util.VISIBLE);
        }
    }

	function coverFreePlan(){
		$("#account-left-div").css("opacity", "0.5");
		$("#left_account_plan").css("text-decoration", "line-through");
		$("#left_account_plan").addClass("mhide");
	};

	function showTrailDaysCountDown(trialTimeLeft){
	 
	    var trialDaysLeft = Math.ceil(trialTimeLeft / 86400.0);
	    if (trialDaysLeft == 0) {
	    	return;
	        // $("#countdown_days").addClass("zero");
	    };

	    $("#account_countdown_days").text(trialDaysLeft.toString());
	    $("#account_trial_days_countdown").removeClass("mhide");
	    // $("#countdown_fortrial").removeClass("mhide");

	    if (trialDaysLeft <= 1) {
	        $("#account_countdown_txt_2").removeClass("mhide");
	    }else{
	        $("#account_countdown_txt_1").removeClass("mhide");
	    }
	};

	function showCampaignDaysCountDown(giftCodeTimeLeft){
	    var giftCodeDaysLeft = Math.ceil(giftCodeTimeLeft / 86400.0);

	    if (giftCodeDaysLeft == 0) {
	    	return;
	        // $("#countdown_days").addClass("zero");
	    };
	    
	    $("#account_countdown_days").text(giftCodeDaysLeft.toString());
	    $("#account_trial_days_countdown").removeClass("mhide");
	    
	    if (giftCodeDaysLeft <= 1) {
	        $("#account_countdown_txt_2").removeClass("mhide");
	    }else{
	        $("#account_countdown_txt_1").removeClass("mhide");
	    }
	}

	function changePriceButton(){

	    // if(m_price.substr(0,4) != "null" && y_price.substr(0,4) != "null" ){
        //
	    //     document.getElementById('mo_a').innerText = m_price;
	    //     document.getElementById('yr_a').innerText = y_price;
	    //     if($("#account_price_cell_txt").hasClass("mhide")){
	    //     	$("#account_price_cell_txt").removeClass("mhide");
	    //     }
	    //     $("#no_connection_gif").addClass("mhide");
	    // }
	    // else{
        //
	    //     if($("#no_connection_gif").hasClass("mhide")){
	    //     	$("#no_connection_gif").removeClass("mhide");
	    //     }
	    //     $("#account_price_cell_txt").addClass("mhide");
        //
	    // }


		if (DISCOUNT != "0" || EXTENSION != "0") {
			if (DISCOUNT != "0") {
				$("#promotion_info_detail").html(lan_subscription["promotion_info_detail_off_percent"].format(DISCOUNT));
				$("#promotion_dropdown_original_price_year").html(MP_PLAN_15_PRICE);
				$("#promotion_price").html(PROMOTION_PRICE);
				$("#promotion_choice_price_year").html(PROMOTION_PRICE);

				$("#promotion_dropdown_original_price").removeClass("mhide");
			}
			else {
				var extension_month = parseInt(EXTENSION);
				if (extension_month <= 1) {
					$("#promotion_info_detail").html(lan_subscription["promotion_info_detail_free_month"]);
					$("#promotion_dropdown_extension").html(lan_subscription["promotion_dropdown_extension_month"]);
				}
				else {
					$("#promotion_info_detail").html(lan_subscription["promotion_info_detail_free_months"].format(extension_month));
					$("#promotion_dropdown_extension").html(lan_subscription["promotion_dropdown_extension_months"].format(extension_month));
				}

				$("#promotion_price").html(MP_PLAN_15_PRICE);
				$("#promotion_choice_price_year").html(MP_PLAN_15_PRICE);

				$("#promotion_dropdown_extension").removeClass("mhide");
			}

			if (PROMOTION_DAY_LEFT != "0") {
				var day_left = parseInt(PROMOTION_DAY_LEFT);
				if (day_left <= 1) {
					$("#promotion_dropdown_dayleft").html(lan_subscription["promotion_dayleft"]);
				}
				else {
					$("#promotion_dropdown_dayleft").html(lan_subscription["promotion_daysleft"].format(day_left));
				}
			}

			$("#promotion_choice_price_month").html(MP_PLAN_14_PRICE);
		}
		else {
			$("#price_year").html(MP_PLAN_15_PRICE);
			$("#choice_price_year").html(MP_PLAN_15_PRICE);
			$("#choice_price_month").html(MP_PLAN_14_PRICE);
		}

		$(".price_symbol").text(MP_PLAN_14_SYMBOL);
	}
   
	//in - control the bahavior of the price button
	// $("#account-price-cell-btn").live("click",function(){
	//     //$("#account-price-cell-btn").css("display","none");
	//     $("#choice").css("display","block");
	//     //$("#choice").animate({left:'45px',top:'92px',width:'40px',height:'10px'},100)
	//     $("#choice").animate({left:'65px',top:'0px',width:'90px',height:'10px'},80);
	//     $("#choice").animate({left:'0px',top:'0px',width: ($("#account-price-cell").width()) +'px',height:'70px'},160);
	// });

	//out
	// $("body").click(hidePriceList);

	// function hidePriceList(){
	// 	if(parseInt($("#choice").css("height").split(".")[0])>=60){ // leave some questions
	//         $("#choice").animate({left:'65px',top:'10px',width:'90px',height:'10px'},160);
	//         $("#choice").animate({left:'89px',top:'10px',width:'40px',height:'10px'},80);
	//         setTimeout("changeDisplay()",160);
	//     }
	// };
    //
	// window.changeDisplay = function(){
	//     $("#choice").css("display","none");
	//     //$("#account-price-cell-btn").fadeIn(70);
	// };

	//change the position of the blue line under the tag
	function changeLinePos(){
	    var father_pos = $("#account-menu").offset().left;
	    var tag_1_pos = ($("#tag_1 h2").offset().left);
	    var tag_2_pos = ($("#tag_2 h2").offset().left);
	    var tag_3_pos = ($("#tag_3 h2").offset().left);
	    var tag_1_width = $("#tag_1 h2").width();
	    var tag_2_width = $("#tag_2 h2").width();
	    var tag_3_width = $("#tag_3 h2").width();
	    line_profile_pos = tag_1_pos - father_pos + (tag_1_width-40)/2;
	    line_assets_pos = tag_2_pos - father_pos + (tag_2_width-40)/2;
	    line_plan_pos = tag_3_pos - father_pos  + (tag_3_width-40)/2;
	    line_profile_pos_px = line_profile_pos + "px";
	    line_assets_pos_px = line_assets_pos + "px";
	    line_plan_pos_px = line_plan_pos + "px";
	}

	//determine the page displayed first
	function changeByPage(page){
	    // isMembership = (typeof isMembership === "undefined") ? true : false;
	    var l_page = page;
	    if(l_page == "profile"){
	        $("#tag_1").addClass("tag_active");
	        $("#tag_2").removeClass("tag_active");
	        $(".tag_line").css("left",line_profile_pos);
	        $("#account-content-2").css("left","640px");
	        $("#account-content-1").css("left","0px");
	        $("#account-content-3").css("left","640px");
	    }
	    else if(l_page == "assets"){
	        $("#tag_1").removeClass("tag_active");
	        $("#tag_2").addClass("tag_active");
	        $(".tag_line").css("left",line_assets_pos);
	        $("#account-content-2").css("left","0px");
	        $("#account-content-1").css("left","-640px");
	        $("#account-content-3").css("left","640px");
	    }
	    else if(l_page == "plan"){   
	        $("#tag_1").removeClass("tag_active");
	        $("#tag_3").addClass("tag_active");
	        $(".tag_line").css("left",line_plan_pos);
	        $("#account-content-2").css("left","-640px");
	        $("#account-content-1").css("left","-640px");
	        $("#account-content-3").css("left","0px");
	    }
	    else{
	        $("#tag_1").addClass("tag_active");
	        $(".tag_line").css("left",line_profile_pos);
	        $("#account-content-2").css("left","640px");
	        $("#account-content-1").css("left","0px");
	        $("#account-content-3").css("left","640px");
	    }
	}

	// need to reorganize
	function onTagClicked(){
	    //first, get id
	    var this_id=parseInt($(".tag_active").attr("id").split("_")[1]);
	    var next_id=parseInt($(this).attr("id").split("_")[1]);
	    //set content position
	    var content_list=$("#account-content-wrap").find(".account-content");
	    for(var i=0;i<content_list.length;i++){
	        //set z-index to zero;
	        $(content_list).eq(i).css("z-index","0");
	        //position
	        var this_content_id=parseInt(content_list.eq(i).attr("id").split("-")[2]);
	        if(this_content_id<this_id){
	            $(content_list.eq(i)).css("left","-640px");
	        }else if(this_content_id==this_id){
	            $(content_list.eq(i)).css("left","0px");
	        }else{
	            $(content_list.eq(i)).css("left","640px");
	        }
	    }
	    //set content z-index
	    $(content_list.eq(this_id-1)).css("z-index","20");
	    $(content_list.eq(next_id-1)).css("z-index","40");
	    //start to trans
	    //alert("start");
	    if(this_id<next_id){
	        $(content_list.eq(this_id-1)).animate({left:'-640px'},400);
	        $(content_list.eq(next_id-1)).animate({left:'0px'},400);
	    }else if(this_id>next_id){
	        $(content_list.eq(this_id-1)).animate({left:'640px'},400);
	        $(content_list.eq(next_id-1)).animate({left:'0px'},400);
	    }
	    //change position of tag_line
	    if(next_id==1){
	        $(".tag_line").animate({left:line_profile_pos_px},400);
	        location.hash = ACCOUNT_PLAN_TAB;
	    }else if(next_id==2){
	        $(".tag_line").animate({left:line_assets_pos_px},400);
	    }else if(next_id==3){
	        $(".tag_line").animate({left:line_plan_pos_px},400);

	    }
	    //remove tag_active
	    $("#tag_"+this_id).removeClass("tag_active");
	    $("#tag_"+next_id).addClass("tag_active");
	}

	function loadJS(){
	    var mlocale = sb_util.getLocaleFolder(LOCALE);
	    sb_util.loadjscssfile("../lang/" + mlocale + "/lan_account.js", "js", "");
        sb_util.loadjscssfile("../lang/" + mlocale + "/lan_subscription.js", "js", "");

        if(OEM!=""){
            var oem = OEM;
            sb_util.loadjscssfile("../OEM/lang/" + mlocale + "/lan_account_oem.js", "js", "");
        }
	};

	function localizePage(){

	    $("#tag_1_txt").html(lan_account["tag_1_txt"]);
	    $("#tag_2_txt").html(lan_account["tag_2_txt"]);
	    $("#tag_3_txt").html(lan_account["tag_3_txt"]);

	    $("#account-login-out").html(lan_account["account-login-out"]);
	    $("#greeting_txt").html(lan_account["greeting_txt"]);
	    $("#account_title_email").html(lan_account["account_title_email"]);

	    $("#edit_btn").html(lan_account["edit_btn"]);
	    $("#account_title_membership").html(lan_account["account_title_membership"]);
	    MEMBERSHIP_PRO_TRIAL = lan_account["MEMBERSHIP_PRO_TRIAL"];
	    MEMBERSHIP_PRO_CAMPAIGN = lan_account["MEMBERSHIP_PRO_CAMPAIGN"];
	    MEMBERSHIP_PRO = lan_account["MEMBERSHIP_PRO"];
	    MEMBERSHIP_FREE = lan_account["MEMBERSHIP_FREE"];
	    MEMBERSHIP_PRO_MONTH = lan_account["MEMBERSHIP_PRO_MONTH"];
	    MEMBERSHIP_PRO_YEAR = lan_account["MEMBERSHIP_PRO_YEAR"];
	    MEMBERSHIP_PRO_OEM = lan_account["MEMBERSHIP_PRO_QUARTERLY"];

	    $("#account_title_validatedate").html(lan_account["account_title_validatedate"]);
	    $("#account_intro_free_id").html(lan_account["account_intro_free_id"]);
	    $("#free_feature_list_1").html(lan_account["free_feature_list_1"]);

	    $("#free_feature_list_2").html(lan_account["free_feature_list_2"]);
	    $("#free_feature_list_3").html(lan_account["free_feature_list_3"]);
	    $("#free_feature_list_4").html(lan_account["free_feature_list_4"]);
	    $("#free_feature_list_5").html(lan_account["free_feature_list_5"]);
	    // $("#left_current_plan").html(lan_account["left_current_plan"]);
		$("#left_account_plan").html(lan_account["left_current_plan"]);
	    $("#account_intro_pro_id").html(lan_account["account_intro_pro_id"]);
	    
	    $("#pro_feature_list_1").html(lan_account["pro_feature_list_1"]);
	    $("#pro_feature_list_2").html(lan_account["pro_feature_list_2"]);
	    $("#pro_feature_list_3").html(lan_account["pro_feature_list_3"]);
	    $("#pro_feature_list_4").html(lan_account["pro_feature_list_4"]);
	    $("#pro_feature_list_5").html(lan_account["pro_feature_list_5"]);
	    $("#pro_feature_list_6").html(lan_account["pro_feature_list_6"]);
	    $("#pro_feature_list_7").html(lan_account["pro_feature_list_7"]);
	    $("#pro_feature_list_8").html(lan_account["pro_feature_list_8"]);
	    $("#pro_feature_list_9").html(lan_account["pro_feature_list_9"]);
	    $("#pro_feature_list_10").html(lan_account["pro_feature_list_10"]);

	    // $("#account_learn_more").html(lan_account["account_learn_more"]);
	    $("#right_current_plan").html(lan_account["right_current_plan"]);
	    $("#account_expire_txt").html(lan_account["account_expire_txt"]);
	    // $("#account_activate_trial_btn_txt").html(lan_account["account_activate_trial_btn_txt"]);
	    $("#account_activate_trial_btn_txt_0").html(lan_account["account_activate_trial_btn_txt_0"]);
	    $("#account_activate_trial_btn_txt_2").html(lan_account["account_activate_trial_btn_txt_2"]);
	    // $("#countdown_txt_part1").html(lan_account["countdown_txt_part1"]);
	    // $("#countdown_txt_part1_1").html(lan_account["countdown_txt_part1_1"]);
	    // $("#countdown_txt_part1_2").html(lan_account["countdown_txt_part1_2"]);
	    // $("#countdown_fortrial").html(lan_account["countdown_fortrial"]);
	    // $("#account_price_cell_txt").html(lan_account["account_price_cell_txt"]);
		$("#account_countdown_txt_1").html(lan_account["account_countdown_txt_1"]);
		$("#account_countdown_txt_2").html(lan_account["account_countdown_txt_2"]);


	    $("#trial_activated_header").html(lan_account["trial_activated_header"]);
	    $("#trial_activated_failed_header").html(lan_account["trial_activated_failed_header"]);
	    // $("#trial_activated_txt").html(lan_account["trial_activated_txt"]);
	    $("#trial_validated_success_txt_1").html(lan_account["trial_validated_success_txt_1"]);
	    $("#trial_validated_success_txt_2").html(lan_account["trial_validated_success_txt_2"]);
	    $("#trial_not_activated_same_machine_txt").html(lan_account["trial_not_activated_same_machine_txt"]);

	    $("#trial_not_activated_expired_txt").html(lan_account["trial_not_activated_expired_txt"]);
	    $("#trial_not_activated_try_again_txt").html(lan_account["trial_not_activated_try_again_txt"]);
	    $("#ok_btn").html(lan_account["ok_btn"]);

	    // $("#forjs_mo").html(lan_account["forjs_mo"]);
	    // $("#forjs_yr").html(lan_account["forjs_yr"]);

	    $("#account_mas_buy_btn_txt").html(lan_account["account_mas_buy_btn_txt"]);
	    $("#account_mas_trial_btn_txt").html(lan_account["account_mas_trial_btn_txt"]);


		//title
		$("#price-title-free").html(lan_account["price-title-free"]);
		$("#price-title-pro").html(lan_account["price-title-pro"]);


		//new buy button
		$("#price_year_txt").html(lan_subscription["price_year_txt"]);
		$("#choice_price_year_txt").html(lan_subscription["price_year_txt"]);
		$("#choice_price_month_txt").html(lan_subscription["price_month_txt"]);

		//promotion buy button
		$("#promotion_info_title").html(lan_subscription["promotion_info_title_sale"]);
		$("#promotion_price_year_txt").html(lan_subscription["price_year_txt"]);
		$("#promotion_dropdown_title").html(lan_subscription["promotion_info_title_sale"]);
		$("#promotion_choice_price_year_txt").html(lan_subscription["price_year_txt"]);
		$("#promotion_choice_price_month_txt").html(lan_subscription["price_month_txt"]);


        if(OEM!=""){
            $("#account_activate_oem_txt").html(lan_account_oem["account_activate_oem_txt"]);
        }
	};

	// function localizePrice(){
	// 	var abb_month = document.getElementById('forjs_mo').innerText;
	//     var abb_year = document.getElementById('forjs_yr').innerText;
	//     m_price = MP_PLAN_14 + abb_month;
	//     y_price = MP_PLAN_15 + abb_year ;
	// }


	//in - control the behavior of the dropdown list
	$("#promotion_buy_btn_down").click(function(){
		$("#promotion_buy_choice").css("display", "block");
		$("#promotion_buy_choice").animate({left:($("#promotion_btn_area").width()/2-45)+'px', top:'0px', width:'90px', height:'10px'}, 80);
		$("#promotion_buy_choice").animate({left:'0px', top:'0px', width: ($("#promotion_btn_area").width()) +'px', height: '85px'}, 160);
	});

	$("#new_buy_btn_down").click(function () {
		$("#new_buy_choice").css("display", "block");
		$("#new_buy_choice").animate({left:($("#new_buy_btn_area").width()/2-45)+'px', top:'0px', width:'90px', height:'10px'}, 80);
		$("#new_buy_choice").animate({left:'0px', top:'0px', width: ($("#new_buy_btn_area").width()) +'px', height: '85px'}, 160);
	});

	//out
	$("body").click(function () {
		if(parseInt($("#promotion_buy_choice").css("height").split(".")[0])>=60){
			$("#promotion_buy_choice").animate({left:($("#promotion_btn_area").width()/2-45)+'px',top:'10px',width:'90px',height:'10px'},160);
			$("#promotion_buy_choice").animate({left:($("#promotion_btn_area").width()/2-20)+'px',top:'10px',width:'40px',height:'10px'},80);
			setTimeout("changeDisplay()",160);
		}
		if(parseInt($("#new_buy_choice").css("height").split(".")[0])>=60){
			$("#new_buy_choice").animate({left:($("#new_buy_btn_area").width()/2-45)+'px',top:'10px',width:'90px',height:'10px'},160);
			$("#new_buy_choice").animate({left:($("#new_buy_btn_area").width()/2-20)+'px',top:'10px',width:'40px',height:'10px'},80);
			setTimeout("changeDisplay()",160);
		}
	});

	window.changeDisplay = function(){
		$("#promotion_buy_choice").css("display","none");
		$("#new_buy_choice").css("display","none");
	};


	String.prototype.format = function(args) {
		var result = this;
		if (arguments.length > 0) {
			if (arguments.length == 1 && typeof (args) == "object") {
				for (var key in args) {
					if(args[key]!=undefined){
						var reg = new RegExp("({" + key + "})", "g");
						result = result.replace(reg, args[key]);
					}
				}
			}
			else {
				for (var i = 0; i < arguments.length; i++) {
					if (arguments[i] != undefined) {
						var reg = new RegExp("({[" + i + "]})", "g");
						result = result.replace(reg, arguments[i]);
					}
				}
			}
		}
		return result;
	};

})();






// SIG // Begin signature block
// SIG // MIIbQgYJKoZIhvcNAQcCoIIbMzCCGy8CAQExDzANBglg
// SIG // hkgBZQMEAgEFADB3BgorBgEEAYI3AgEEoGkwZzAyBgor
// SIG // BgEEAYI3AgEeMCQCAQEEEBDgyQbOONQRoqMAEEvTUJAC
// SIG // AQACAQACAQACAQACAQAwMTANBglghkgBZQMEAgEFAAQg
// SIG // whE7k97pO/ua1KtbGbIUEtO+mD3tUgbucyXZTAFYJhyg
// SIG // ggoWMIIExzCCA6+gAwIBAgIQRmNneUwfS2axMLvf4itE
// SIG // 1TANBgkqhkiG9w0BAQsFADCBhDELMAkGA1UEBhMCVVMx
// SIG // HTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8w
// SIG // HQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMTUw
// SIG // MwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAzIFNIQTI1NiBD
// SIG // b2RlIFNpZ25pbmcgQ0EgLSBHMjAeFw0xODA1MTUwMDAw
// SIG // MDBaFw0xOTA1MTYyMzU5NTlaMHgxCzAJBgNVBAYTAlVT
// SIG // MRMwEQYDVQQIDApDYWxpZm9ybmlhMRMwEQYDVQQHDApT
// SIG // YW4gUmFmYWVsMRcwFQYDVQQKDA5BdXRvZGVzaywgSW5j
// SIG // LjENMAsGA1UECwwESVNSQzEXMBUGA1UEAwwOQXV0b2Rl
// SIG // c2ssIEluYy4wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
// SIG // ggEKAoIBAQCvJkc9LYu+pCsbf8I3gE3zqbTFGUI0VM4n
// SIG // ZQCAZPupl8dgkFYQnLu3MUiexVMgIzAdAm6W81IuppWu
// SIG // WdImvi4EVARJeP6IkyFwC9Yz3LlvVMK1M8sxysDvGjaW
// SIG // 496yVim7+NpivXDhiN4o4fNoLBViJBKhUk9eExCiyMXS
// SIG // l4d4bzj7Mp50UttIv7qk2P9rdE/KN5cEVib/9zVw0jQN
// SIG // 8YZQgvubxJ4DiibaNIHscX1GCEjtLZ3H/yfwejct5GTl
// SIG // pBmUuz/vmvtae26t9rFPDV3RaCgwv7pKhdyWfRTtN2Cy
// SIG // /qJE13xyH3mwPR1FQr2XEdgsFGg6JZivwNMK7jkzG12N
// SIG // AgMBAAGjggE+MIIBOjAJBgNVHRMEAjAAMA4GA1UdDwEB
// SIG // /wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzBhBgNV
// SIG // HSAEWjBYMFYGBmeBDAEEATBMMCMGCCsGAQUFBwIBFhdo
// SIG // dHRwczovL2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcC
// SIG // AjAZDBdodHRwczovL2Quc3ltY2IuY29tL3JwYTAfBgNV
// SIG // HSMEGDAWgBTUwAYiSes5S92T4lyhuEd2CXIDWDArBgNV
// SIG // HR8EJDAiMCCgHqAchhpodHRwOi8vcmIuc3ltY2IuY29t
// SIG // L3JiLmNybDBXBggrBgEFBQcBAQRLMEkwHwYIKwYBBQUH
// SIG // MAGGE2h0dHA6Ly9yYi5zeW1jZC5jb20wJgYIKwYBBQUH
// SIG // MAKGGmh0dHA6Ly9yYi5zeW1jYi5jb20vcmIuY3J0MA0G
// SIG // CSqGSIb3DQEBCwUAA4IBAQCYNtPSL89ulMoOBxnOMgcR
// SIG // f9Y9Bu9D+wwp6M01L7t/+RLBppc6pUDmGa8D/gkeFZNn
// SIG // f9xL1VeMHBTvDgu0UcFI+zow4ryZ4Opk1mh7oPdyRVlL
// SIG // XPPe+7Yq9mBDfcJxZVwSlAHgG7wgVyz2OxrJo4PVPG/e
// SIG // Gm4oy67rGOrS+NUMX0ipSsFFr9tJefxpJXyjBsxfnCUz
// SIG // CwCjDuV27qnrFfb6hcNz8dq0RMotd7A60xiDuVsQvoMd
// SIG // QzXaHaADWmuBLZhzrqgB5d+bu8iZHV5wuGZaL5YitFMP
// SIG // 5uEarPyTDIxazj7X3izJtiHv7BIAsucuwzvRVkvRPO/O
// SIG // MyJYNjid8UBVMIIFRzCCBC+gAwIBAgIQfBs1NUrn23Tn
// SIG // QV8RacprqDANBgkqhkiG9w0BAQsFADCBvTELMAkGA1UE
// SIG // BhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8w
// SIG // HQYDVQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTow
// SIG // OAYDVQQLEzEoYykgMjAwOCBWZXJpU2lnbiwgSW5jLiAt
// SIG // IEZvciBhdXRob3JpemVkIHVzZSBvbmx5MTgwNgYDVQQD
// SIG // Ey9WZXJpU2lnbiBVbml2ZXJzYWwgUm9vdCBDZXJ0aWZp
// SIG // Y2F0aW9uIEF1dGhvcml0eTAeFw0xNDA3MjIwMDAwMDBa
// SIG // Fw0yNDA3MjEyMzU5NTlaMIGEMQswCQYDVQQGEwJVUzEd
// SIG // MBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xHzAd
// SIG // BgNVBAsTFlN5bWFudGVjIFRydXN0IE5ldHdvcmsxNTAz
// SIG // BgNVBAMTLFN5bWFudGVjIENsYXNzIDMgU0hBMjU2IENv
// SIG // ZGUgU2lnbmluZyBDQSAtIEcyMIIBIjANBgkqhkiG9w0B
// SIG // AQEFAAOCAQ8AMIIBCgKCAQEA15VD1NzfZ645+1KktiYx
// SIG // BHDpt45bKro3aTWVj7vAMOeG2HO73+vRdj+KVo7rLUvw
// SIG // VxhOsY2lM9MLdSPVankn3aPT9w6HZbXerRzx9TW0IlGv
// SIG // IqHBXUuQf8BZTqudeakC1x5JsTtNh/7CeKu/71KunK8I
// SIG // 2TnlmlE+aV8wEE5xY2xY4fAgMxsPdL5byxLh24zEgJRy
// SIG // u/ZFmp7BJQv7oxye2KYJcHHswEdMj33D3hnOPu4Eco4X
// SIG // 0//wsgUyGUzTsByf/qV4IEJwQbAmjG8AyDoAEUF6QbCn
// SIG // ipEEoJl49He082Aq5mxQBLcUYP8NUfSoi4T+IdpcXn31
// SIG // KXlPsER0b21y/wIDAQABo4IBeDCCAXQwLgYIKwYBBQUH
// SIG // AQEEIjAgMB4GCCsGAQUFBzABhhJodHRwOi8vcy5zeW1j
// SIG // ZC5jb20wEgYDVR0TAQH/BAgwBgEB/wIBADBmBgNVHSAE
// SIG // XzBdMFsGC2CGSAGG+EUBBxcDMEwwIwYIKwYBBQUHAgEW
// SIG // F2h0dHBzOi8vZC5zeW1jYi5jb20vY3BzMCUGCCsGAQUF
// SIG // BwICMBkaF2h0dHBzOi8vZC5zeW1jYi5jb20vcnBhMDYG
// SIG // A1UdHwQvMC0wK6ApoCeGJWh0dHA6Ly9zLnN5bWNiLmNv
// SIG // bS91bml2ZXJzYWwtcm9vdC5jcmwwEwYDVR0lBAwwCgYI
// SIG // KwYBBQUHAwMwDgYDVR0PAQH/BAQDAgEGMCkGA1UdEQQi
// SIG // MCCkHjAcMRowGAYDVQQDExFTeW1hbnRlY1BLSS0xLTcy
// SIG // NDAdBgNVHQ4EFgQU1MAGIknrOUvdk+JcobhHdglyA1gw
// SIG // HwYDVR0jBBgwFoAUtnf6aUhHn1MS1cLqBzJ2B9GXBxkw
// SIG // DQYJKoZIhvcNAQELBQADggEBAH/ryqfqi3ZC6z6OIFQw
// SIG // 47e53PpIPhbHD0WVEM0nhqNm8wLtcfiqwlWXkXCD+VJ+
// SIG // Umk8yfHglEaAGLuh1KRWpvMdAJHVhvNIh+DLxDRoIF60
// SIG // y/kF7ZyvcFMnueg+flGgaXGL3FHtgDolMp9Er25DKNMh
// SIG // dbuX2IuLjP6pBEYEhfcVnEsRjcQsF/7Vbn+a4laS8Zaz
// SIG // rS359N/aiZnOsjhEwPdHe8olufoqaDObUHLeqJ/UzSwL
// SIG // NL2LMHhA4I2OJxuQbxq+CBWBXesv4lHnUR7JeCnnHmW/
// SIG // OO8BSgEJJA4WxBR5wUE3NNA9kVKUneFo7wjw4mmcZ26Q
// SIG // CxqTcdQmAsPAWiMxghCEMIIQgAIBATCBmTCBhDELMAkG
// SIG // A1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBv
// SIG // cmF0aW9uMR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBO
// SIG // ZXR3b3JrMTUwMwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAz
// SIG // IFNIQTI1NiBDb2RlIFNpZ25pbmcgQ0EgLSBHMgIQRmNn
// SIG // eUwfS2axMLvf4itE1TANBglghkgBZQMEAgEFAKB8MBAG
// SIG // CisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJAzEMBgor
// SIG // BgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEE
// SIG // AYI3AgEVMC8GCSqGSIb3DQEJBDEiBCBt0Cgu97F987Jr
// SIG // KzwTr6S+fDbQA55LYW9CpUUw1E233zANBgkqhkiG9w0B
// SIG // AQEFAASCAQCRO5QYNcwU9NKrrb9U8QvoD8lJ4wXWy7TM
// SIG // JJ5yEHJpGVxBegXeIfRPpNc2wUrhqugOhCq7haLcEGsJ
// SIG // B05lNvwJaLGlxajXF/rsYJvUECUVZWeWpiujdRgugxEU
// SIG // TyMPC1Nywf8BmMM+L/8MZYu6KY6O0+ZJ5v/BIT9pYWbH
// SIG // fVfw2w7yPA/QGr5mgITd6XjnWw506LYxNQ7aDaJIrkKM
// SIG // 0gWsO1D+MVybQ3Lfls3a36su0FWF4gpJEoZd6eEZ3rnC
// SIG // CEWMsCa5Mw/PYJkRxkwgJvO2VkcvpjOOr2WifHBKS1LM
// SIG // nUjLXRPbIsH+t69fdz0uvroTdI5XUNU7EJb6Y32Up1k2
// SIG // oYIOPTCCDjkGCisGAQQBgjcDAwExgg4pMIIOJQYJKoZI
// SIG // hvcNAQcCoIIOFjCCDhICAQMxDTALBglghkgBZQMEAgEw
// SIG // ggEPBgsqhkiG9w0BCRABBKCB/wSB/DCB+QIBAQYLYIZI
// SIG // AYb4RQEHFwMwMTANBglghkgBZQMEAgEFAAQgK5ieJkMJ
// SIG // Z1p6cPdfV6ClXXALnEj/RMHXZgsXLUuiwbcCFQC6Zi+w
// SIG // 8RxFkaJa8h138bWrAPQ54hgPMjAxOTAzMjUyMTIyMTFa
// SIG // MAMCAR6ggYakgYMwgYAxCzAJBgNVBAYTAlVTMR0wGwYD
// SIG // VQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjEfMB0GA1UE
// SIG // CxMWU3ltYW50ZWMgVHJ1c3QgTmV0d29yazExMC8GA1UE
// SIG // AxMoU3ltYW50ZWMgU0hBMjU2IFRpbWVTdGFtcGluZyBT
// SIG // aWduZXIgLSBHM6CCCoswggU4MIIEIKADAgECAhB7BbHU
// SIG // SWhRRPfJidKcGZ0SMA0GCSqGSIb3DQEBCwUAMIG9MQsw
// SIG // CQYDVQQGEwJVUzEXMBUGA1UEChMOVmVyaVNpZ24sIElu
// SIG // Yy4xHzAdBgNVBAsTFlZlcmlTaWduIFRydXN0IE5ldHdv
// SIG // cmsxOjA4BgNVBAsTMShjKSAyMDA4IFZlcmlTaWduLCBJ
// SIG // bmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxODA2
// SIG // BgNVBAMTL1ZlcmlTaWduIFVuaXZlcnNhbCBSb290IENl
// SIG // cnRpZmljYXRpb24gQXV0aG9yaXR5MB4XDTE2MDExMjAw
// SIG // MDAwMFoXDTMxMDExMTIzNTk1OVowdzELMAkGA1UEBhMC
// SIG // VVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9u
// SIG // MR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3Jr
// SIG // MSgwJgYDVQQDEx9TeW1hbnRlYyBTSEEyNTYgVGltZVN0
// SIG // YW1waW5nIENBMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A
// SIG // MIIBCgKCAQEAu1mdWVVPnYxyXRqBoutV87ABrTxxrDKP
// SIG // BWuGmicAMpdqTclkFEspu8LZKbku7GOz4c8/C1aQ+GIb
// SIG // fuumB+Lef15tQDjUkQbnQXx5HMvLrRu/2JWR8/DubPit
// SIG // ljkuf8EnuHg5xYSl7e2vh47Ojcdt6tKYtTofHjmdw/Sa
// SIG // qPSE4cTRfHHGBim0P+SDDSbDewg+TfkKtzNJ/8o71PWy
// SIG // m0vhiJka9cDpMxTW38eA25Hu/rySV3J39M2ozP4J9ZM3
// SIG // vpWIasXc9LFL1M7oCZFftYR5NYp4rBkyjyPBMkEbWQ6p
// SIG // PrHM+dYr77fY5NUdbRE6kvaTyZzjSO67Uw7UNpeGeMWh
// SIG // NwIDAQABo4IBdzCCAXMwDgYDVR0PAQH/BAQDAgEGMBIG
// SIG // A1UdEwEB/wQIMAYBAf8CAQAwZgYDVR0gBF8wXTBbBgtg
// SIG // hkgBhvhFAQcXAzBMMCMGCCsGAQUFBwIBFhdodHRwczov
// SIG // L2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcCAjAZGhdo
// SIG // dHRwczovL2Quc3ltY2IuY29tL3JwYTAuBggrBgEFBQcB
// SIG // AQQiMCAwHgYIKwYBBQUHMAGGEmh0dHA6Ly9zLnN5bWNk
// SIG // LmNvbTA2BgNVHR8ELzAtMCugKaAnhiVodHRwOi8vcy5z
// SIG // eW1jYi5jb20vdW5pdmVyc2FsLXJvb3QuY3JsMBMGA1Ud
// SIG // JQQMMAoGCCsGAQUFBwMIMCgGA1UdEQQhMB+kHTAbMRkw
// SIG // FwYDVQQDExBUaW1lU3RhbXAtMjA0OC0zMB0GA1UdDgQW
// SIG // BBSvY9bKo06FcuCnvEHzKaI4f4B1YjAfBgNVHSMEGDAW
// SIG // gBS2d/ppSEefUxLVwuoHMnYH0ZcHGTANBgkqhkiG9w0B
// SIG // AQsFAAOCAQEAdeqwLdU0GVwyRf4O4dRPpnjBb9fq3dxP
// SIG // 86HIgYj3p48V5kApreZd9KLZVmSEcTAq3R5hF2YgVgaY
// SIG // GY1dcfL4l7wJ/RyRR8ni6I0D+8yQL9YKbE4z7Na0k8hM
// SIG // kGNIOUAhxN3WbomYPLWYl+ipBrcJyY9TV0GQL+EeTU7c
// SIG // yhB4bEJu8LbF+GFcUvVO9muN90p6vvPN/QPX2fYDqA/j
// SIG // U/cKdezGdS6qZoUEmbf4Blfhxg726K/a7JsYH6q54zoA
// SIG // v86KlMsB257HOLsPUqvR45QDYApNoP4nbRQy/D+XQOG/
// SIG // mYnb5DkUvdrk08PqK1qzlVhVBH3HmuwjA42FKtL/rqlh
// SIG // gTCCBUswggQzoAMCAQICEHvU5a+6zAc/oQEjBCJBTRIw
// SIG // DQYJKoZIhvcNAQELBQAwdzELMAkGA1UEBhMCVVMxHTAb
// SIG // BgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8wHQYD
// SIG // VQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMSgwJgYD
// SIG // VQQDEx9TeW1hbnRlYyBTSEEyNTYgVGltZVN0YW1waW5n
// SIG // IENBMB4XDTE3MTIyMzAwMDAwMFoXDTI5MDMyMjIzNTk1
// SIG // OVowgYAxCzAJBgNVBAYTAlVTMR0wGwYDVQQKExRTeW1h
// SIG // bnRlYyBDb3Jwb3JhdGlvbjEfMB0GA1UECxMWU3ltYW50
// SIG // ZWMgVHJ1c3QgTmV0d29yazExMC8GA1UEAxMoU3ltYW50
// SIG // ZWMgU0hBMjU2IFRpbWVTdGFtcGluZyBTaWduZXIgLSBH
// SIG // MzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB
// SIG // AK8Oiqr43L9pe1QXcUcJvY08gfh0FXdnkJz93k4Cnkt2
// SIG // 9uU2PmXVJCBtMPndHYPpPydKM05tForkjUCNIqq+pwsb
// SIG // 0ge2PLUaJCj4G3JRPcgJiCYIOvn6QyN1R3AMs19bjwgd
// SIG // ckhXZU2vAjxA9/TdMjiTP+UspvNZI8uA3hNN+RDJqgoY
// SIG // bFVhV9HxAizEtavybCPSnw0PGWythWJp/U6FwYpSMatb
// SIG // 2Ml0UuNXbCK/VX9vygarP0q3InZl7Ow28paVgSYs/buY
// SIG // qgE4068lQJsJU/ApV4VYXuqFSEEhh+XetNMmsntAU1h5
// SIG // jlIxBk2UA0XEzjwD7LcA8joixbRv5e+wipsCAwEAAaOC
// SIG // AccwggHDMAwGA1UdEwEB/wQCMAAwZgYDVR0gBF8wXTBb
// SIG // BgtghkgBhvhFAQcXAzBMMCMGCCsGAQUFBwIBFhdodHRw
// SIG // czovL2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcCAjAZ
// SIG // GhdodHRwczovL2Quc3ltY2IuY29tL3JwYTBABgNVHR8E
// SIG // OTA3MDWgM6Axhi9odHRwOi8vdHMtY3JsLndzLnN5bWFu
// SIG // dGVjLmNvbS9zaGEyNTYtdHNzLWNhLmNybDAWBgNVHSUB
// SIG // Af8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // dwYIKwYBBQUHAQEEazBpMCoGCCsGAQUFBzABhh5odHRw
// SIG // Oi8vdHMtb2NzcC53cy5zeW1hbnRlYy5jb20wOwYIKwYB
// SIG // BQUHMAKGL2h0dHA6Ly90cy1haWEud3Muc3ltYW50ZWMu
// SIG // Y29tL3NoYTI1Ni10c3MtY2EuY2VyMCgGA1UdEQQhMB+k
// SIG // HTAbMRkwFwYDVQQDExBUaW1lU3RhbXAtMjA0OC02MB0G
// SIG // A1UdDgQWBBSlEwGpn4XMG24WHl87Map5NgB7HTAfBgNV
// SIG // HSMEGDAWgBSvY9bKo06FcuCnvEHzKaI4f4B1YjANBgkq
// SIG // hkiG9w0BAQsFAAOCAQEARp6v8LiiX6KZSM+oJ0shzbK5
// SIG // pnJwYy/jVSl7OUZO535lBliLvFeKkg0I2BC6NiT6Cnv7
// SIG // O9Niv0qUFeaC24pUbf8o/mfPcT/mMwnZolkQ9B5K/mXM
// SIG // 3tRr41IpdQBKK6XMy5voqU33tBdZkkHDtz+G5vbAf0Q8
// SIG // RlwXWuOkO9VpJtUhfeGAZ35irLdOLhWa5Zwjr1sR6nGp
// SIG // QfkNeTipoQ3PtLHaPpp6xyLFdM3fRwmGxPyRJbIblumF
// SIG // COjd6nRgbmClVnoNyERY3Ob5SBSe5b/eAL13sZgUchQk
// SIG // 38cRLB8AP8NLFMZnHMweBqOQX1xUiz7jM1uCD8W3hgJO
// SIG // cZ/pZkU/djGCAlowggJWAgEBMIGLMHcxCzAJBgNVBAYT
// SIG // AlVTMR0wGwYDVQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlv
// SIG // bjEfMB0GA1UECxMWU3ltYW50ZWMgVHJ1c3QgTmV0d29y
// SIG // azEoMCYGA1UEAxMfU3ltYW50ZWMgU0hBMjU2IFRpbWVT
// SIG // dGFtcGluZyBDQQIQe9Tlr7rMBz+hASMEIkFNEjALBglg
// SIG // hkgBZQMEAgGggaQwGgYJKoZIhvcNAQkDMQ0GCyqGSIb3
// SIG // DQEJEAEEMBwGCSqGSIb3DQEJBTEPFw0xOTAzMjUyMTIy
// SIG // MTFaMC8GCSqGSIb3DQEJBDEiBCANZSv4RAGOcrNOUTEH
// SIG // LkjbGj/bE2FIXHRJgP9QXDrkEzA3BgsqhkiG9w0BCRAC
// SIG // LzEoMCYwJDAiBCDEdM52AH0COU4NpeTefBTGgPniggE8
// SIG // /vZT7123H99h+DALBgkqhkiG9w0BAQEEggEAN6i6iXJj
// SIG // Jwy9dOnxxaocIZRRzniXoI/T+AGksYNvJS9/d+qHyJB9
// SIG // A5rgqyGobbLTSt7SDNBoHIFt7uKHUn24ISVwswzdscJ2
// SIG // 25dUddKRAtn0EjrAp5ZJqlpFBz9BSCUc+UMZpodQQOzx
// SIG // bHhpn+5D3UUo1S5HmwCc+mX1Bh//ItaYoZoGQqV3Ffji
// SIG // QmWDG/wL77kvq6oskNsoJcYUeBHCKKcsgdrKb08CNmuS
// SIG // qv/z9DN/nqL3EFl4RzE5Lla4wPzvouV+f6j3pX+GZOaM
// SIG // 2YUTweiDfNnIUi1rqDeOI36ju1qCsAKO2M7v4feZb2TG
// SIG // R6OUI2OmS62cVOPaurno0hZ3dw==
// SIG // End signature block
